import ts from "typescript";
import type { CodeGenerator, OpenApi } from "../../types";
export interface Option {
    /**
     * List of operationId to be used
     */
    allowOperationIds?: string[];
}
export declare class Parser {
    private entryPoint;
    private rootSchema;
    private option;
    private currentPoint;
    private convertContext;
    private store;
    private factory;
    constructor(entryPoint: string, rootSchema: OpenApi.Document, noReferenceOpenApiSchema: OpenApi.Document, option: Option);
    private initialize;
    getCodeGeneratorParamsArray(): CodeGenerator.Params[];
    getOpenApiTypeDefinitionStatements(): ts.Statement[];
    getAdditionalTypeStatements(): ts.Statement[];
}
