import ts from "typescript";
import type { OpenApi } from "../../../types";
import { Factory } from "../../TsGenerator";
import * as ConverterContext from "../ConverterContext";
import { Store } from "../store";
import * as ToTypeNode from "../toTypeNode";
export declare const generateNamespace: (entryPoint: string, currentPoint: string, store: Store.Type, factory: Factory.Type, parentPath: string, name: string, operation: OpenApi.Operation, context: ToTypeNode.Context, converterContext: ConverterContext.Types) => void;
export declare const generateStatements: (entryPoint: string, currentPoint: string, store: Store.Type, factory: Factory.Type, requestUri: string, httpMethod: string, operation: OpenApi.Operation, context: ToTypeNode.Context, converterContext: ConverterContext.Types) => ts.Statement[];
