import * as ts from "typescript";
import type { OpenApi } from "../../../types";
import { Factory } from "../../TsGenerator";
import * as ConverterContext from "../ConverterContext";
import { Store } from "../store";
import * as ToTypeNode from "../toTypeNode";
export declare const generateInterface: (entryPoint: string, currentPoint: string, factory: Factory.Type, name: string, requestBody: OpenApi.RequestBody, context: ToTypeNode.Context, converterContext: ConverterContext.Types) => ts.InterfaceDeclaration;
export declare const generateNamespace: (entryPoint: string, currentPoint: string, store: Store.Type, factory: Factory.Type, parentName: string, name: string, requestBody: OpenApi.RequestBody, context: ToTypeNode.Context, converterContext: ConverterContext.Types) => void;
